Skip to main content
PATCH
/
v3
/
enterprise
/
members
/
users
/
{user_id}
Update User
curl --request PATCH \
  --url https://api.devin.ai/v3/enterprise/members/users/{user_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "role_id": "<string>"
}
'
{
  "email": "<string>",
  "name": "<string>",
  "role_assignments": [
    {
      "role": {
        "role_id": "<string>",
        "role_name": "<string>",
        "role_type": "enterprise"
      },
      "org_id": "<string>"
    }
  ],
  "user_id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.devin.ai/llms.txt

Use this file to discover all available pages before exploring further.

This endpoint only operates on users with direct role assignments. To manage roles inherited through IDP group membership, use the IDP group role management endpoints.

Permissions

Requires a service user with the ManageAccountMembership permission at the enterprise level.

Authorizations

Authorization
string
header
required

Service User credential (prefix: cog_)

Path Parameters

user_id
string
required

User ID

Body

application/json
role_id
string
required

Response

Successful Response

email
string | null
required
name
string | null
required
role_assignments
RoleAssignment · object[]
required
user_id
string
required